package com.usky.http.controller.web;


import com.alibaba.nacos.shaded.com.google.gson.JsonObject;
import com.usky.common.core.bean.ApiResult;
import com.usky.http.service.TcAepCommandService;
import com.usky.http.service.vo.TCAepDeviceCommendRequestVO;
import com.usky.http.service.vo.TcAepJTPDeviceInfoAlarmRequestVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 电信对接表 前端控制器
 * </p>
 *
 * @author ya
 * @since 2024-06-04
 */
@RestController
@RequestMapping("/tcAepCommand")
public class TcAepCommandController {

    @Autowired
    private TcAepCommandService tcAepCommandService;

    /**
     * 设备下发命令接口
     * @param requestVO
     * @return
     * @throws Exception
     */
    @PostMapping("/tcAepDeviceCommand")
    public ApiResult<Void> tcAepDeviceCommand(@RequestBody TCAepDeviceCommendRequestVO requestVO) throws Exception {
        tcAepCommandService.tcAepDeviceCommand(requestVO);
        return ApiResult.success();
    }

    /**
     * 光电感烟报警器心跳和告警信息处理
     * @param requestBody
     * @return
     */
    @PostMapping("/tcAepJTYDeviceInfoAlarm")
    public ApiResult<Void> tcAepJTYDeviceInfoAlarm(@RequestBody String requestBody){
        tcAepCommandService.tcAepJTYDeviceInfo(requestBody);
        return ApiResult.success();
    }

    /**
     * 无线手报报警按钮心跳和告警信息处理
     * @param requestBody
     * @return
     */
    @PostMapping("/tcAepTbsnDeviceInfoAlarm")
    public ApiResult<Void> tcAepTbsnDeviceInfoAlarm(@RequestBody String requestBody){
        tcAepCommandService.tcAepTbsnDeviceInfoAlarm(requestBody);
        return ApiResult.success();
    }

}

