package com.usky.demo.controller.web;

import com.usky.common.core.bean.ApiResult;
import com.usky.demo.service.QueryInfluxdbDataService;
import com.usky.demo.service.rocketmq.MyProducer;
import com.usky.demo.service.vo.DeviceDataWriteVO;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

/**
 * @Author :
 * @CreateTime : 2024/2/29
 * @Description :
 **/
@RestController
@RequestMapping("/dataWrite")
public class SendMessageController {
    @Autowired
    private QueryInfluxdbDataService queryInfluxdbDataService;

    /**
     * 单个设备数据写入
     * @return
     */
    @PostMapping("/sendDeviceData")
    public ApiResult<Void> sendDeviceData(@RequestBody DeviceDataWriteVO writeVO){
        queryInfluxdbDataService.sendDeviceData(writeVO);
        return ApiResult.success();
    }

}